<?php

// QuickTeam 1.7 build:20080520

class cVIP
{

// --------

var $auth = 'no';
var $id = 0;
var $username = 'Guest';
var $role = 'V';  //A=Administator,M=Moderator,U=User,V=Visitor
var $child = '0'; //0=NO, 1=Yes agreed, 2=Yes NOT agreed;
var $selfurl  = '';
var $selfname = '';
var $exiturl  = 'qte_index.php';
var $exitname = 'Back';

// --------
// Get authentified user info, if exists in session (or in coockie)

function cVIP($oDB)
{
  if ( isset($_SESSION['qte_usr_auth']) )
  {
    if ( $_SESSION['qte_usr_auth']=='yes' )
    {
    $this->auth = 'yes';
    $this->id   = intval($_SESSION['qte_usr_id']);
    $this->username = $_SESSION['qte_usr_name'];
    $this->role = $_SESSION['qte_usr_role'];
    $this->child = intval($_SESSION['qte_usr_child']);
    }   
  }
  else
  {
    if ( isset($_COOKIE['qte_cookname']) && isset($_COOKIE['qte_cookpass']) )
    {
      $oDB->Query('SELECT id,username,role,children FROM '.TABUSER.' WHERE username="'.$_COOKIE['qte_cookname'].'" AND pwd="'.$_COOKIE['qte_cookpass'].'"');
      if ( $row = $oDB->Getrow() )
      {
      $this->auth    = 'yes';
      $this->id      = intval($row['id']);
      $this->username= $row['username'];
      $this->role    = $row['role'];
      $this->child   = intval($row['children']);
      $_SESSION['qte_usr_auth'] = 'yes';
      $_SESSION['qte_usr_id']   = $this->id;
      $_SESSION['qte_usr_name'] = $this->username;
      $_SESSION['qte_usr_role'] = $this->role;
      $_SESSION['qte_usr_child'] = $this->child;
      }
    }
  }
}

// --------
// Add user info in session (and in coockie if requested)

function Login($oDB,$strPwd=False)
{  
  $_SESSION['qte_usr_auth']  = 'yes';
  $_SESSION['qte_usr_id']    = $this->id;
  $_SESSION['qte_usr_name']  = $this->username;
  $_SESSION['qte_usr_role']  = $this->role;
  $_SESSION['qte_usr_child'] = $this->child;
  if ( $strPwd )
  {
  setcookie('qte_cookname', htmlspecialchars($this->username,ENT_QUOTES), time()+60*60*24*100, '/');
  setcookie('qte_cookpass', sha1($strPwd), time()+60*60*24*100, '/');
  }
}

// --------
// @$strTitle: title of the message box. When null or empty string, uses the page name ($this->selfname)
// @$strMessage: message body.
// @$strSkin: the skin folder
// @$intTime: the pause (in second) before redirecting to the exit page. Use 0 to NOT redirect

function EndMessage($strTitle,$strMessage='Access denied',$strSkin='skin/default',$intTime=0,$strWidth='300px',$strIdHead='msgboxtitle',$strIdMain='msgbox')
{
  if ( empty($strTitle) ) $strTitle = $this->selfname;
  echo QTE_HTML_DTD,'
  <html xmlns="http://www.w3.org/1999/xhtml" dir="',QTE_HTML_DIR,'" xml:lang="',QTE_HTML_LANG,'">
  <head>
  <title>',$_SESSION[QT]['site_name'],'</title>
  <meta http-equiv="content-type" content="text/html; charset=',QTE_HTML_CHAR,'"/>
  <link rel="stylesheet" type="text/css" href="',$strSkin,'/qte_main.css"/>
  <link rel="shortcut icon" href="',$strSkin,'/qte_icon.ico"/>
  </head>
  <body>
  <!-- PAGE CONTROL -->
  <div class="div_qte_page">
  <table class="tab_qte_page" width="90%" cellspacing="0" cellpadding="0"><tr class="tr_qte_page"><td class="td_qte_page">
  <!-- PAGE CONTROL -->
  <br/><br/>
  <div class="div_msgboxtitle" id="',$strIdHead,'" style="width:',$strWidth,'">',$strTitle,'</div>
  <div class="div_msgbox" id="',$strIdMain,'" style="width:',$strWidth,'"><br/>',$strMessage,'<br/>
  <br/><a id="exiturl" href="',$this->exiturl,'">',$this->exitname,'</a>
  </div>
  <!-- END PAGE CONTROL -->
  </td></tr></table>
  </div>
  <!-- END PAGE CONTROL -->
  ';
  if ( $intTime>0 )
  {
  echo '
  <script type="text/javascript">
  <!--
  setTimeout(\'window.location=document.getElementById("exiturl").href\',',($intTime*1000),');
  -->
  </script>
  ';
  }
  echo '</body></html>';
  exit;
}

// --------
// $strUsers, user roles that can access the page (ex: "MUV")
// $intVlevel, maximum access level for visitor
// $bStopOff, stop when team off-line (default=true)

function CanAccess($strUsers='---',$intVlevel=5,$bStopOff=true)
{
  if ( $_SESSION[QT]['board_offline']=='1' && $this->role=='A' ) echo '<p>Board is offline but Administrators can make some actions.</p>';
  if ( $this->role=='A' ) return true;
  if ( $_SESSION[QT]['board_offline']=='1' && $bStopOff ) return false;
  if ( strpos($strUsers, $this->role)===false ) return false;
  if ( $this->role=='V' && $_SESSION[QT]['visitor_right']<$intVlevel ) return false;
  return true;
}

// --------

}
?>