<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Team
 * @package    QuickTeam
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.7 build:20080520
 * @link       http://www.qt-cute/doc/package/qte
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qte_init.php');

// --------
// INITIALISE
// --------

$oVIP->selfurl = 'qte_privacy.php';
$oVIP->selfname = $L['Privacy'];

// --------
// HTML START
// --------

include('qte_p_header.php');

echo '
<div class="div_msgboxtitle" style="width: 620px;">',$oVIP->selfname,'</div>
<div class="div_msgbox" style="width: 620px;">
';

$strFile = $_SESSION[QT]['language'].'/sys_section_rules.txt';
if ( file_exists($strFile) ) { include($strFile); } else { echo 'Missing file:<br/>'.$strFile; }

// check if coppa
if ( $_SESSION[QT]['register_coppa']=='1' )
{
$strFile = $_SESSION[QT]['language'].'/sys_section_rules_coppa.txt';
if ( file_exists($strFile) ) { include ($strFile); } else { echo 'Missing file:<br/>'.$strFile; }
}

echo '
</div>
<div class="div_hidden_sep"></div>
<div class="div_msgboxtitle" style="width: 620px;">About QuickTeam</div>
<div class="div_msgbox" style="width: 620px;">
';

$strFile = $_SESSION[QT]['language'].'/sys_about.inc';
if ( file_exists($strFile) ) { include($strFile); } else { echo 'Missing file:<br/>'.$strFile; }

// W3C compliances 

echo '<p>
<a href="http://validator.w3.org/check?uri=referer"><img src="admin/vxhtml10.png" alt="Valid XHTML 1.0 Strict" height="31" width="88"/></a>&nbsp;
<a href="http://jigsaw.w3.org/css-validator/"><img src="admin/vcss.png" alt="Valid CSS" height="31" width="88"/></a>&nbsp;
</p>
</div>
';

// --------
// HTML END
// --------

include('qte_p_footer.php');

?>